This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 440271

Summary: Intel e1000 boot ROM doesn't show up in boot menu
Product: [Fedora] Fedora Reporter: Jay Turner <jturner>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: berrange, clalance, lkundrak, srevivo, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-10 02:53:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Lubomir Kundrak 2008-04-02 11:49:36 EDT
Description of problem:

When /usr/share/kvm/pxe-e1000.bin loads (either if specified as -option-rom, or
when -boot string contains 'n' is present) there's no "Network" choice in F10
menu, and the code from the ROM is unconditionally executed.

Version-Release number of selected component (if applicable):

kvm-64

Additional info:

This breaks situations when user wants to have boot from network available
(selectable via F10 menu), but default to boot from network. Examples are "-boot
cn" (this one can be produced by libvirt) or "-boot c -option-rom
/usr/share/kvm/pxe-e1000.bin"
Comment 1 Jeremy Katz 2008-04-02 23:36:54 EDT
Hmmm, something from the e1000 pxe rom must be different.  As the option rom
definitely shouldn't get called unconditionally.  And there's nothing special
casing it afaict from a quick look through kvm.
Comment 2 Lubomir Kundrak 2008-04-03 03:45:30 EDT
Jeremy I was attempting to rebuild the option rom, but was not able to find
neither sources nor configuration file used to generate one that was shipped in
the package. Do we ship a blob here?

Also, I generated a rom from gPXE project and it worked (nearly, that is it had
a default DHCP timeout somewhat shorter) all well. I'm thinking whether we
should package etherboot or gPXE separately providin rom images for selected
NICs and let qemu/kvm use those?
Comment 3 Bug Zapper 2008-05-14 04:35:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:58:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Lubomir Rintel 2009-06-10 02:53:19 EDT
I believe this was reworked in F11.